Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel.impl
Class SimpleScheduleDocumentImpl.SimpleScheduleImpl

    java.lang.Object
      org.apache.xmlbeans.impl.values.XmlObjectBase
          org.apache.xmlbeans.impl.values.XmlComplexContentImpl
              org.jboss.soa.esb.listeners.config.xbeanmodel.impl.ScheduleImpl
                  org.jboss.soa.esb.listeners.config.xbeanmodel.impl.SimpleScheduleDocumentImpl.SimpleScheduleImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource, Schedule, SimpleScheduleDocument.SimpleSchedule

Enclosing class:
  SimpleScheduleDocumentImpl

    public static class SimpleScheduleDocumentImpl.SimpleScheduleImpl

extends ScheduleImpl
implements SimpleScheduleDocument.SimpleSchedule

An XML simple-schedule(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.SimpleScheduleDocument.SimpleSchedule
`SimpleScheduleDocument.SimpleSchedule.Factory`

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_voorVc, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

Fields inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.SimpleScheduleDocument.SimpleSchedule
`type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Constructor Summary
`SimpleScheduleDocumentImpl.SimpleScheduleImpl(org.apache.xmlbeans.SchemaType sType)`

Method Summary
`int` | `getExecCount()` Gets the "execCount" attribute
`long` | `getFrequency()` Gets the "frequency" attribute
`FrequencyUnit.Enum` | `getFrequencyUnits()` Gets the "frequencyUnits" attribute
`boolean` | `isSetExecCount()` True if has "execCount" attribute
`boolean` | `isSetFrequency()` True if has "frequency" attribute
`boolean` | `isSetFrequencyUnits()` True if has "frequencyUnits" attribute
`void` | `setExecCount(int execCount)` Sets the "execCount" attribute
`void` | `setFrequency(long frequency)` Sets the "frequency" attribute
`void` | `setFrequencyUnits(FrequencyUnit.Enum frequencyUnits)` Sets the "frequencyUnits" attribute
`void` | `unsetExecCount()` Unsets the "execCount" attribute
`void` | `unsetFrequency()` Unsets the "frequency" attribute
`void` | `unsetFrequencyUnits()` Unsets the "frequencyUnits" attribute
`org.apache.xmlbeans.XmlInt` | `xgetExecCount()` Gets (as xml) the "execCount" attribute
`org.apache.xmlbeans.XmlLong` | `xgetFrequency()` Gets (as xml) the "frequency" attribute
`FrequencyUnit` | `xgetFrequencyUnits()` Gets (as xml) the "frequencyUnits" attribute
`void` | `xsetExecCount(org.apache.xmlbeans.XmlInt execCount)` Sets (as xml) the "execCount" attribute
`void` | `xsetFrequency(org.apache.xmlbeans.XmlLong frequency)` Sets (as xml) the "frequency" attribute
`void` | `xsetFrequencyUnits(FrequencyUnit frequencyUnits)` Sets (as xml) the "frequencyUnits" attribute

Methods inherited from class org.jboss.soa.esb.listeners.config.xbeanmodel.impl.ScheduleImpl
`addNewProperty, getEndDate, getPropertyArray, getPropertyArray, getPropertyList, getScheduleid, getStartDate, insertNewProperty, isSetEndDate, isSetStartDate, removeProperty, setEndDate, setPropertyArray, setPropertyArray, setScheduleid, setStartDate, sizeOfPropertyArray, unsetEndDate, unsetStartDate, xgetEndDate, xgetScheduleid, xgetStartDate, xsetEndDate, xsetScheduleid, xsetStartDate`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl
`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_isComplexContent, _isComplexType, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.Schedule
`addNewProperty, getEndDate, getPropertyArray, getPropertyArray, getPropertyList, getScheduleid, getStartDate, insertNewProperty, isSetEndDate, isSetStartDate, removeProperty, setEndDate, setPropertyArray, setPropertyArray, setScheduleid, setStartDate, sizeOfPropertyArray, unsetEndDate, unsetStartDate, xgetEndDate, xgetScheduleid, xgetStartDate, xsetEndDate, xsetScheduleid, xsetStartDate`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Constructor Detail

### SimpleScheduleDocumentImpl.SimpleScheduleImpl

    public SimpleScheduleDocumentImpl.SimpleScheduleImpl(org.apache.xmlbeans.SchemaType sType)

Method Detail

### getFrequency

    public long getFrequency()

  Gets the "frequency" attribute

  Specified by:
    `getFrequency` in interface `SimpleScheduleDocument.SimpleSchedule`

### xgetFrequency

    public org.apache.xmlbeans.XmlLong xgetFrequency()

  Gets (as xml) the "frequency" attribute

  Specified by:
    `xgetFrequency` in interface `SimpleScheduleDocument.SimpleSchedule`

### isSetFrequency

    public boolean isSetFrequency()

  True if has "frequency" attribute

  Specified by:
    `isSetFrequency` in interface `SimpleScheduleDocument.SimpleSchedule`

### setFrequency

    public void setFrequency(long frequency)

  Sets the "frequency" attribute

  Specified by:
    `setFrequency` in interface `SimpleScheduleDocument.SimpleSchedule`

### xsetFrequency

    public void xsetFrequency(org.apache.xmlbeans.XmlLong frequency)

  Sets (as xml) the "frequency" attribute

  Specified by:
    `xsetFrequency` in interface `SimpleScheduleDocument.SimpleSchedule`

### unsetFrequency

    public void unsetFrequency()

  Unsets the "frequency" attribute

  Specified by:
    `unsetFrequency` in interface `SimpleScheduleDocument.SimpleSchedule`

### getFrequencyUnits

    public FrequencyUnit.Enum getFrequencyUnits()

  Gets the "frequencyUnits" attribute

  Specified by:
    `getFrequencyUnits` in interface `SimpleScheduleDocument.SimpleSchedule`

### xgetFrequencyUnits

    public FrequencyUnit xgetFrequencyUnits()

  Gets (as xml) the "frequencyUnits" attribute

  Specified by:
    `xgetFrequencyUnits` in interface `SimpleScheduleDocument.SimpleSchedule`

### isSetFrequencyUnits

    public boolean isSetFrequencyUnits()

  True if has "frequencyUnits" attribute

  Specified by:
    `isSetFrequencyUnits` in interface `SimpleScheduleDocument.SimpleSchedule`

### setFrequencyUnits

    public void setFrequencyUnits(FrequencyUnit.Enum frequencyUnits)

  Sets the "frequencyUnits" attribute

  Specified by:
    `setFrequencyUnits` in interface `SimpleScheduleDocument.SimpleSchedule`

### xsetFrequencyUnits

    public void xsetFrequencyUnits(FrequencyUnit frequencyUnits)

  Sets (as xml) the "frequencyUnits" attribute

  Specified by:
    `xsetFrequencyUnits` in interface `SimpleScheduleDocument.SimpleSchedule`

### unsetFrequencyUnits

    public void unsetFrequencyUnits()

  Unsets the "frequencyUnits" attribute

  Specified by:
    `unsetFrequencyUnits` in interface `SimpleScheduleDocument.SimpleSchedule`

### getExecCount

    public int getExecCount()

  Gets the "execCount" attribute

  Specified by:
    `getExecCount` in interface `SimpleScheduleDocument.SimpleSchedule`

### xgetExecCount

    public org.apache.xmlbeans.XmlInt xgetExecCount()

  Gets (as xml) the "execCount" attribute

  Specified by:
    `xgetExecCount` in interface `SimpleScheduleDocument.SimpleSchedule`

### isSetExecCount

    public boolean isSetExecCount()

  True if has "execCount" attribute

  Specified by:
    `isSetExecCount` in interface `SimpleScheduleDocument.SimpleSchedule`

### setExecCount

    public void setExecCount(int execCount)

  Sets the "execCount" attribute

  Specified by:
    `setExecCount` in interface `SimpleScheduleDocument.SimpleSchedule`

### xsetExecCount

    public void xsetExecCount(org.apache.xmlbeans.XmlInt execCount)

  Sets (as xml) the "execCount" attribute

  Specified by:
    `xsetExecCount` in interface `SimpleScheduleDocument.SimpleSchedule`

### unsetExecCount

    public void unsetExecCount()

  Unsets the "execCount" attribute

  Specified by:
    `unsetExecCount` in interface `SimpleScheduleDocument.SimpleSchedule`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD